Bug 522153 - condor_q -better-analyze core dump
Summary: condor_q -better-analyze core dump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor
Version: Development
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.2
: ---
Assignee: Will Benton
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:34 UTC by Matthew Farrellee
Modified: 2010-03-16 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 14:30:48 UTC


Attachments (Terms of Use)

Description Matthew Farrellee 2009-09-09 15:34:21 UTC
$ condor_version
$CondorVersion: 7.3.3 Sep  2 2009 BuildID: RH-7.4.0-0.1.el5.hfs PRE-RELEASE-UWCS $
$CondorPlatform: X86_64-LINUX_RHEL5 $
$ rpm -q condor
condor-7.4.0-0.1.el5.hfs


$ echo -e 'executable=/bin/true\ntransfer_executable=false\nnotification=never\nrequirements=partitionableslot=?=true || filesystemdomain=!=undefined\nqueue 1\n' | _CONDOR_SUBMIT_EXPRS="" _CONDOR_SCHEDD_NAME=ha-schedd@ condor_submit
Submitting job(s).
1 job(s) submitted to cluster 30572.

$ _CONDOR_SCHEDD_NAME=ha-schedd@ condor_q -bet 30572
-- Submitter: ha-schedd@ : <10.> : mrg
Segmentation fault (core dumped)

$ _CONDOR_SCHEDD_NAME=ha-schedd@ condor_q -bet 30572
-- Submitter: ha-schedd@ : <10.> : mrg
---
30572.000:  Request is being serviced

$ _CONDOR_SCHEDD_NAME=ha-schedd@ condor_q -bet 30572
-- Submitter: ha-schedd@ : <10.> : mrg
---
30572.000:  Request is held.
Hold reason: Error from slot1@mrg: Failed to execute '/bin/true': No such file or directory




Program terminated with signal 11, Segmentation fault.
[New process 3894]
#0  0x000000318005b890 in std::_List_node_base::hook () from /usr/lib64/libstdc++.so.6
(gdb) where
#0  0x000000318005b890 in std::_List_node_base::hook () from /usr/lib64/libstdc++.so.6
#1  0x00000000004a1248 in std::list<classad_analysis::suggestion, std::allocator<classad_analysis::suggestion> >::_M_insert (this=0xc0, __position={_M_node = 0xc0}, __x=@0x7fff6d25b130) at /usr/include/c++/4.1.2/bits/stl_list.h:1140
#2  0x00000000004a1273 in std::list<classad_analysis::suggestion, std::allocator<classad_analysis::suggestion> >::push_back (this=0xc0, __x=@0x7fff6d25b130) at /usr/include/c++/4.1.2/bits/stl_list.h:761
#3  0x000000000049e2c4 in classad_analysis::job::result::add_suggestion (this=0x0, sg=
          {my_kind = 1831186736, target = {static npos = 18446744073709551615, _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x0}}, value = {static npos = 18446744073709551615, _M_dataplus = {<std::allocator<char>> = {<__gnu_cxx::new_allocator<char>> = {<No data fields>}, <No data fields>}, _M_p = 0x7fff6d25ba80 "\020�%m�\177"}}}) at result.cpp:72
#4  0x0000000000484297 in ClassAdAnalyzer::AnalyzeJobAttrsToBuffer (this=0x7e1da0, request=0x14f3a910, 
    offers=@0x7fff6d25bac0, buffer=@0x7fff6d25bba0) at analysis.cpp:581
#5  0x0000000000484b3e in ClassAdAnalyzer::AnalyzeJobAttrsToBuffer (this=0x7e1da0, request=0x14841b60, 
    offers=@0x7e1ee0, buffer=@0x7fff6d25bba0) at analysis.cpp:274
#6  0x0000000000479d6c in doRunAnalysisToBuffer (request=0x14841b60) at queue.cpp:2910
#7  0x0000000000479fcf in doRunAnalysis (request=0x14841b60) at queue.cpp:2623
#8  0x000000000047b611 in show_queue (v1=0x148503f0 "<10.16.44.232:58843>", v2=0x14850520 "ha-schedd@", 
    v3=0x7fff6d25e220 "mrg27.lab.bos.redhat.com", 
    v4=0x14841a80 "$CondorVersion: 7.3.2 Aug 25 2009 BuildID: RH-7.3.2-0.4.el5.hfs PRE-RELEASE-UWCS $", useDB=false)
    at queue.cpp:2355
#9  0x00000000004777c0 in main (argc=3, argv=0x7fff6d25e368) at queue.cpp:519


Highly reproducible before job starts running.

Comment 1 Will Benton 2009-10-01 19:05:14 UTC
Fixed upstream (in V7_4-branch and master).

Comment 2 Martin Kudlej 2009-10-09 09:45:17 UTC
From which build is this patch in condor?

Comment 3 Will Benton 2009-10-09 19:56:30 UTC
It should definitely be in 7.4.0-0.6.

Comment 5 Irina Boverman 2009-10-29 14:29:58 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.

Comment 6 Irina Boverman 2009-10-29 15:19:28 UTC
Deleted Release Notes Contents.

Old Contents:
please see bug summary.

Comment 7 Martin Kudlej 2009-11-05 10:24:07 UTC
Tested on condor 7.2.2-0.9 on Rhel 5.4/4.8 x i386/x86_64 and it works.
Tested on condor 7.4.0-0.5 on Rhel 5.4 x i386/x86_64 and it doesn't work.
Tested on condor 7.4.1-0.2 on Rhel 5.4/4.8 x i386/x86_64 and it works. -->VERIFIED

Comment 8 Jeff Needle 2010-03-16 14:30:48 UTC
The fix for this bug was included in the MRG 1.2 release.

Comment 9 Jeff Needle 2010-03-16 14:35:32 UTC
The fix for this bug was included in the MRG 1.2 release.


Note You need to log in before you can comment on or make changes to this bug.